export class FeatureToggleError extends Error {
    constructor(message, cause) {
        super(message);
        this.cause = cause;
        this.name = 'FeatureToggleError';
    }
}
export class ConfigurationError extends FeatureToggleError {
    constructor(message, cause) {
        super(message, cause);
        this.name = 'ConfigurationError';
    }
}
export class InvalidPathError extends ConfigurationError {
    constructor(path, cause) {
        super(`Invalid configuration path: ${path}`, cause);
        this.name = 'InvalidPathError';
    }
}
export class ModuleError extends FeatureToggleError {
    constructor(message, cause) {
        super(message, cause);
        this.name = 'ModuleError';
    }
}
export class SubmoduleError extends FeatureToggleError {
    constructor(message, cause) {
        super(message, cause);
        this.name = 'SubmoduleError';
    }
}
