export interface FeatureConfig {
    [featureName: string]: boolean;
}
export interface SubmoduleConfig {
    enabled: boolean;
    features?: FeatureConfig;
}
export interface ModuleConfig {
    enabled: boolean;
    submodules?: {
        [submoduleName: string]: SubmoduleConfig;
    };
}
export interface AppConfig {
    modules: {
        [moduleName: string]: ModuleConfig;
    };
}
declare global {
    interface Window {
        __FEATURE_CONFIG__?: AppConfig;
    }
}
